<?php

final class SemiStructuredObjectTypeFulltextEngine
  extends PhabricatorFulltextEngine {

  protected function buildAbstractDocument(
    PhabricatorSearchAbstractDocument $document,
    $object_type) {

    $document->setDocumentTitle($object_type->getName());

    $document->addField(
      PhabricatorSearchDocumentFieldType::FIELD_BODY,
      $object_type->getDescription());

    }
}
